# 模块1 封闭进位加法器（CCA, Carry Cancel Adder）
## 基本描述
计算两组8位整数的和，执行所有标准加法器的功能。两组输入是同步的，输出也是同步的。总延迟为4tick。含火把，故不可流水线。体积很小且速度快。建议在没有流水线的情况下使用。
电路接受最少强度5的输入，且两侧输入强度差距不超过1。之后所有含此类异或门结构的电路均是如此。
试用版本|适用于java版1.6及以上
## 元件信息
-|-
标签|小型模块，运算单元，加/减法器，二级模块，Java版，静音，传统红石
作者|Don_Manuel_1229
存档位置|16 4 32
电路类型|逻辑电路
电路大小|6×19×9
总延迟|4(rt)

## 特性表

类别|位宽|布线方式|位置|延迟|脉冲|注释
-|-|-|-|-|-|-
输入数据1|8|竖式，高位在上|1 3 1|0|2|第一个加数
输入数据2|8|4 3 1|0|2|第二个加数
输出数据|8||5 2 9|4|2|加法结果
控制端口1|1||3 2 6|2|2|低位进位，可认为是第三个加数且值为1
标志位1|1||5 17 9|5|2|最高位进位，即加法计算是否溢出

## 检查单

是否含火把|是|是否支持2t流水线|否
-|-|-|-
是否含活塞|否|是否为“无红石粉”|否
是否含侦测器|否|是否含容器|否
是否含漏斗、投掷器|否|是否含实体|否
是否使用墙电|否|是否使用水电|否

参考子模块：封闭进位加法器

